Bug 833369 - File conflicts between glib2-devel ppc and ppc64 packages
File conflicts between glib2-devel ppc and ppc64 packages
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: glib2 (Show other bugs)
7.0
Unspecified Unspecified
low Severity low
: beta
: ---
Assigned To: Matthias Clasen
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-19 06:23 EDT by Karel Srot
Modified: 2014-06-13 08:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:46:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Srot 2012-06-19 06:23:18 EDT
Description of problem:

Feel free to close if this is intentional/expected. But this conflict is aborting the Beaker RHEL7 ppc64 system installation.

11:17:44,310 ERR anaconda: file conflicts: file /usr/bin/gdbus-codegen conflicts between attempted installs of glib2-devel-2.32.3-1.el7.ppc and glib2-devel-2.32.3-1.el7.ppc64
11:17:44,329 ERR anaconda: file conflicts: file /usr/share/glib-2.0/gdb/glib.pyc conflicts between attempted installs of glib2-devel-2.32.3-1.el7.ppc and glib2-devel-2.32.3-1.el7.ppc64
11:17:44,349 ERR anaconda: file conflicts: file /usr/share/glib-2.0/gdb/glib.pyo conflicts between attempted installs of glib2-devel-2.32.3-1.el7.ppc and glib2-devel-2.32.3-1.el7.ppc64
11:17:44,361 ERR anaconda: file conflicts: file /usr/share/glib-2.0/gdb/gobject.pyc conflicts between attempted installs of glib2-devel-2.32.3-1.el7.ppc and glib2-devel-2.32.3-1.el7.ppc64
11:17:44,380 ERR anaconda: file conflicts: file /usr/share/glib-2.0/gdb/gobject.pyo conflicts between attempted installs of glib2-devel-2.32.3-1.el7.ppc and glib2-devel-2.32.3-1.el7.ppc64
11:17:44,391 ERR anaconda: file conflicts: file /usr/share/systemtap/tapset/glib.stp conflicts between attempted installs of glib2-devel-2.32.3-1.el7.ppc and glib2-devel-2.32.3-1.el7.ppc64
11:17:44,410 ERR anaconda: file conflicts: file /usr/share/systemtap/tapset/gobject.stp conflicts between attempted installs of glib2-devel-2.32.3-1.el7.ppc and glib2-devel-2.32.3-1.el7.ppc64
Comment 2 Karel Srot 2012-06-19 07:09:44 EDT
We have identified test that required both ppc and ppc64 packages. Please close this bug if you do not consider it valid.
Comment 3 Matthias Clasen 2012-11-01 09:23:07 EDT
the multilib conflicts should be fixed in 2.34.0-2
Comment 4 Vladimir Benes 2013-01-15 12:31:58 EST
[root@ibm-p730-05-lp4 ~]# rpm -q glib2-devel
glib2-devel-2.34.2-1.el7.ppc64
glib2-devel-2.34.2-1.el7.ppc

-> VERIFIED
Comment 6 Ludek Smid 2014-06-13 08:46:16 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.